%define real_name Crypt-RC6

Summary:	Crypt-RC6 module for perl 
Name:		perl-%{real_name}
Version:	1.0
Release:	%mkrel 12
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a perl module which implements a Crypt::CBC compliant 
RC6 block cipher encryption module.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYING README
%{perl_vendorlib}/*/Crypt/RC6.pm
%{perl_vendorlib}/*/auto/Crypt/RC6
%{_mandir}/*/*






%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0-12.mga4
+ Revision: 524752
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.0-11.mga4
+ Revision: 431418
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0-10.mga3
+ Revision: 364943
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.0-9.mga3
+ Revision: 250412
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.0-8.mga2
+ Revision: 103856
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 1.0-7.mga1
+ Revision: 10461
- imported package perl-Crypt-RC6


* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.0-7mdv2011.0
+ Revision: 555459
- rebuild

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.0-6mdv2010.0
+ Revision: 430384
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.0-5mdv2009.0
+ Revision: 256340
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.0-3mdv2008.1
+ Revision: 152040
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-2mdv2008.1
+ Revision: 136950
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdk
- initial Mandriva package

